Skip to main content
GET
Get workflow run details

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

tagOrId
string
required

The tag or unique, auto-generated identifier for the workflow. Entity identifier - can be a tag or CID

runId
string
required

The ID of the run, from runWorkflow or listWorkflowRuns

Query Parameters

includeContext
boolean

When true, the response includes the run context. Defaults to false for MCP clients and true otherwise.

Response

Successfully found workflow run

actions
object[]
required

Actions and their states

id
string
required

Id of the run

status
enum<string>
required

Status of the workflow run. PAUSED means it waits for a user input or an approval.

Available options:
NOT_INITIATED,
IN_PROGRESS,
PAUSED,
COMPLETED,
FAILED,
CANCELLED,
TIMED_OUT
variables
object
required

Variable values

workflow
object
required

Summary of the workflow

completedAt
string

Time the workflow run completed

context
object

Context of the run. Omitted when the request sets includeContext=false, which is the default for MCP clients.

initiatedBy
object

Who initiated the workflow run

retriedByRunId
string

Id of the run that retried this run. Null when no run retried it.

retryOfRunId
string

Id of the failed run that this run retries. Null when this run is not a retry.

runResponse
string
startedAt
string

Time the workflow run started